@echo off

set JVM=""
set BIN_NAME=java.exe

rem Search java.exe in PATH
rem -----------------------

for %%D in (%BIN_NAME%) do (set JVM=%%~$PATH:D)
if "%JVM%" == "" goto read_java_home

rem echo Found %BIN_NAME% in PATH: %JVM%
set JAVA_BIN=%JVM%
goto run_jar

:read_java_home

        rem Search java.exe in JAVA_HOME
        rem ----------------------------

        if not "%JAVA_HOME%" == "" goto found_java_home

        rem All checks failed
        rem -----------------

        echo **********************************************************************
        echo * ERROR: java.exe could not be found. Please install the JRE or JDK. *
        echo * If it is already installed, configure the system variables PATH or *
        echo * JAVA_HOME appropriately.                                           *
        echo **********************************************************************

        rem Exit with error
        rem ---------------

        exit /b 1

:found_java_home

        rem echo Found java.exe in JAVA_HOME = %JAVA_HOME%
        set JAVA_BIN=%JAVA_HOME%\bin\java.exe

:run_jar

        cd %~dp0
        for /f %%f in ('dir /b ^| findstr /i "jar"') do set JAR_PATH=%%f
        "%JAVA_BIN%" -jar "%JAR_PATH%" %*
